package com.ruoyi.zhdd.feign.fallback;

import com.ruoyi.zhdd.domain.GatewayUserDetail;
import com.ruoyi.zhdd.feign.FeignUserManageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Slf4j
@Component
public class FeignUserManageFallback implements FeignUserManageService {


    @Override
    public GatewayUserDetail userDetail(String userId) {
        log.error("获取用户详情失败");
        return null;
    }
}
